Get action participation by id
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/integration/action-participations/{actionParticipationId} \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/integration/action-participations/{actionParticipationId}"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/integration/action-participations/{actionParticipationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organisationId": "<string>",
"communityId": "<string>",
"actionId": "<string>",
"userId": "<string>",
"actionCategory": "nudj",
"actionKey": "facebook-comment",
"actionAttributes": {
"key": "question-multiple-choice",
"question": "<string>",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"minimumNumberOfAnswersRequired": 2,
"maximumNumberOfAnswersAllowed": 2
},
"allocationId": "<string>",
"allocatedTo": "achievement",
"participationStatuses": [
{
"id": "<string>",
"criteriaMet": true,
"output": {
"key": "interaction-external-link",
"eventId": "<string>"
},
"status": "pending",
"participatedAt": "<string>",
"processingStartedAt": "<string>",
"processedAt": "<string>",
"unmetCriteriaMessage": "<string>",
"metCriteriaMessage": "<string>",
"processingFailedMessage": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"actionGroupId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Action Participations
Get action participation by id
Retrieve an action participation by its ID.
GET
/
action-participations
/
{actionParticipationId}
Get action participation by id
Authorizations
Path Parameters
Response
Successful response
An action participation
Available options:
nudj, discord, facebook, imageAnalysis, instagram, interaction, linkedin, question, platform, spotify, tiktok, twitter, youtube Available options:
facebook-comment, facebook-follow, facebook-like, image-analysis-object-detection, image-analysis-receipt-detection, instagram-follow, instagram-like, instagram-comment, instagram-share, instagram-post, interaction-engage-with-content, interaction-external-link, interaction-image-upload, interaction-spot-object, platform-comment-on-post, platform-complete-achievement, platform-generative-action, platform-like-post, platform-play-game, platform-validate-event, question-multiple-choice, question-open-ended, question-rate-your-experience, question-secret-access-code, question-select-date, question-select-from-images, question-select-value-in-range, question-select-from-list, question-closed-ended, question-vote, spotify-follow, spotify-listen, spotify-save, tiktok-follow, tiktok-watch, tiktok-post, youtube-like, youtube-comment, youtube-subscribe A multiple choice question with configurable options and correct answer validation. The question text is stored in the details.title field of the action, while technical configuration remains in attributes.
- Multiple Choice Question
- Open Ended Question
- Rate Your Experience Question
- Secret Access Code Question
- Select From Images Question
- Select From List Question
- Single Fixed Answer Question
- Vote/Polling Question
- Select A Date Question
- Select Value In Range Question
- External Link Interaction
- Engage With Content Interaction
- Image Upload Interaction
- Spot Object Action
- Object Detection Action Attributes
- Receipt Detection Action Attributes
- Facebook Comment Action Attributes
- Facebook Follow Action Attributes
- Facebook Like Action Attributes
- Instagram Follow Action Attributes
- Instagram Like Action Attributes
- Instagram Comment Action Attributes
- Instagram Share Action Attributes
- Instagram Post Action Attributes
- Comment On Post Action Attributes
- Complete Achievement Action Attributes
- Generative Action Attributes
- Like Post Action Attributes
- Play Game Action Attributes
- Validate Event Action Attributes
- Spotify Follow Action Attributes
- Spotify Listen Action Attributes
- Spotify Save Action Attributes
- Youtube Comment Action Attributes
- Youtube Subscribe Action Attributes
- Youtube Like Action Attributes
- TikTok Follow Action Attributes
- TikTok Post Video With Hashtag Action Attributes
- TikTok Watch Video Action Attributes
Show child attributes
Show child attributes
Available options:
achievement, action, community, challenge, leaderboard, post, reward, reward-asset, reward-entry Show child attributes
Show child attributes
Was this page helpful?

